PartitionedRegionStorageException (Apache Geode 1.13.3)
Date: 2021-06-22

org.apache.geode.cache

## Class PartitionedRegionStorageException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.CacheRuntimeException
          - - org.apache.geode.cache.PartitionedRegionStorageException

- All Implemented Interfaces:
    Serializable

      public class PartitionedRegionStorageException
      extends CacheRuntimeException

  ### Description of the conditions under which this exception is thrown

  When a `PartitionedRegionStorageException` message contains the string:

       There are not enough data store members to create a bucket.

  A new data store must be added to the partitioned region for future bucket creation.

  When a `PartitionedRegionStorageException` message contains the string:

       Too many data store members have refused the request to create a bucket.

  There are enough data stores, however some have refused possibly due to these conditions:
  1. The amount of storage allocated to the partitioned region on that distributed member exceeds its localMaxMemory setting.
  2. The partitioned region instance on that distributed member has been closed or destroyed.
  3. The cache on that distributed member has been closed.
  4. The distributed system on that member has been disconnected.

  When a `PartitionedRegionStorageException` message contains the string:

       Creation of a bucket for partitioned region failed in N attempts.

  If the number of attempts is lesser than the number of available data store members, contact GemFire support providing all logs and statistics files from all members containing the partitioned region. Otherwise, shutdown and then restart one or more of the data stores, given that it is safe to do so, for example when redundantCopies is greater than 0.
  Since:
    GemFire 5.0
  See Also:
    `PartitionAttributesFactory`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartitionedRegionStorageException()` Creates a new instance of PartitionedRegionStorageException
    `PartitionedRegionStorageException(String msg)` Creates a new `PartitionedRegionStorageException` with a message.
    `PartitionedRegionStorageException(String message, Throwable cause)` Creates a new `PartitionedRegionStorageException` with a message and Throwable cause.

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

      `toString`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PartitionedRegionStorageException

          public PartitionedRegionStorageException()

      Creates a new instance of PartitionedRegionStorageException

    - #### PartitionedRegionStorageException

          public PartitionedRegionStorageException(String msg)

      Creates a new `PartitionedRegionStorageException` with a message.
      Parameters:
        `msg` - The string message for the PartitionedRegionStorageException.

    - #### PartitionedRegionStorageException

          public PartitionedRegionStorageException(String message,
                                                   Throwable cause)

      Creates a new `PartitionedRegionStorageException` with a message and Throwable cause.
      Parameters:
        `message` - The string message for the PartitionedRegionStorageException.
        `cause` - Throwable cause for this `PartitionedRegionStorageException`.